%define name webdesigner
%define version 0.1.6
%define release 1

Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
BuildRoot: /tmp/root-%{name}-%{version}-%{release}
URL: http://webdesigner.linuxave.net
Copyright: GPL
Group: X11/Applications/Editors

Summary: Web Designer - an HTML editor for linux
Requires: webdesigner-common

%description
Web Designer is an HTML editor for those who want to write quick and effective
HTML code. It thus, does not provide a pseudo WYSIWYG interface but a very
intuitive GUI with a quick access to all HTML tags.

%package gnome
Group: X11/Applications/Editors
Summary: Web Designer - an HTML editor for linux (with internal preview)
Requires: webdesigner-common

%description gnome
Web Designer is an HTML editor for those who want to write quick and effective
HTML code. It thus, does not provide a pseudo WYSIWYG interface but a very
intuitive GUI with a quick access to all HTML tags.

This package is linked against gtkxmhtml, a part of GNOME, to support
internal preview.

%package common
Group: X11/Applications/Editors
Summary: Common files for Web Designer.

%description common
This package includes documentation and locale files for the
Web Designer packages. It is useless without webdesigner or
webdesigner-gnome.

%prep
mkdir -p $RPM_BUILD_ROOT

%setup

%build
rm -f config.cache
./configure --prefix=/usr --without-extra-progs
make 
cp src/wdesign src/wdesign-gnome
make distclean
rm -f config.cache
./configure --prefix=/usr --without-gtkxmhtml --without-extra-progs
make
cp src/wdesign src/wdesign-normal

%install
make install prefix=$RPM_BUILD_ROOT/usr
install src/wdesign-normal $RPM_BUILD_ROOT/usr/bin
install src/wdesign-gnome $RPM_BUILD_ROOT/usr/bin
strip -R .note -R .comment $RPM_BUILD_ROOT/usr/bin/wdesign-{normal,gnome}

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%doc	docs/refs ABOUT-NLS COPYING AUTHORS ChangeLog docs/FAQ docs/HISTORY NEWS README docs/TODO
/usr/man/man1/wdesign.1
/usr/man/man1/wdesign.fr.1
/usr/share/webdesigner/tips
/usr/share/webdesigner/tips.hu
/usr/share/webdesigner/tips.fr
/usr/share/webdesigner/tips.ja
/usr/share/locale/hu/LC_MESSAGES/webdesigner.mo
/usr/share/locale/fr/LC_MESSAGES/webdesigner.mo
/usr/share/locale/es/LC_MESSAGES/webdesigner.mo
/usr/share/locale/ru/LC_MESSAGES/webdesigner.mo
/usr/share/locale/ja/LC_MESSAGES/webdesigner.mo

%files gnome
/usr/bin/wdesign-gnome
/usr/share/gnome/apps/Applications/webdesigner.desktop
/usr/share/pixmaps/webdesigner-menuicon.xpm

%files
/usr/bin/wdesign-normal

%post gnome
if test -e /usr/bin/wdesign; the
	echo "*** WARNING!"
	echo "*** Another version of Web Designer already installed!"
	echo "*** If you experience inexpected behaviour, remove the"
	echo "*** other version, and reinstall this one."
fi
rm -f /usr/bin/wdesign
ln -s wdesign-gnome /usr/bin/wdesign

%postun gnome
rm -f /usr/bin/wdesign

%post
if test -e /usr/bin/wdesign; the
	echo "*** WARNING!"
	echo "*** Another version of Web Designer already installed!"
	echo "*** If you experience inexpected behaviour, remove the"
	echo "*** other version, and reinstall this one."
fi
rm -f /usr/bin/wdesign
ln -s wdesign-normal /usr/bin/wdesign

%postun
rm -f /usr/bin/wdesign
